Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vutbr.checkers.protocol.request
Class ProtocolRequestRegister

    java.lang.Object
      vutbr.checkers.protocol.ProtocolLine
          vutbr.checkers.protocol.ProtocolRequest
              vutbr.checkers.protocol.request.ProtocolRequestRegister

    public class ProtocolRequestRegister

extends ProtocolRequest

Trida ProtocolRequestRegister

Author:
  Ondrej Novy

Constructor Summary
`ProtocolRequestRegister(java.lang.String login)` Konstruktor

Method Summary
`protected java.lang.String` | `getCommand()` Vrati jmeno prikazu
`protected java.lang.String` | `getParam()` Vrati parametry prikazu

Methods inherited from class vutbr.checkers.protocol.ProtocolRequest
`getType`

Methods inherited from class vutbr.checkers.protocol.ProtocolLine
`build`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProtocolRequestRegister

    public ProtocolRequestRegister(java.lang.String login)

  Konstruktor

  Parameters:
    `login` - Login hrace

Method Detail

### getCommand

    protected java.lang.String getCommand()

  Vrati jmeno prikazu

  Specified by:
    `getCommand` in class `ProtocolLine`
  Returns:
    Jmeno prikazu

### getParam

    protected java.lang.String getParam()

  Vrati parametry prikazu

  Specified by:
    `getParam` in class `ProtocolLine`
  Returns:
    Parametry prikazu

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD